Skip to main content
Gets an achievement for a player with a specific achievement ID.

Syntax

Parameters

xboxLiveContext   _In_
Type: XblContextHandle
An XBOX services context handle created with XblContextCreateHandle. xboxUserId   _In_
Type: uint64_t
The XBOX User ID of the player. serviceConfigurationId   _In_z_
Type: char*
The Service Configuration ID (SCID) for the title. The SCID is considered case sensitive so paste it directly from the Partner Center. achievementId   _In_z_
Type: char*
The UTF-8 encoded unique identifier of the Achievement as defined by XDP or Dev Center. async   _In_
Type: XAsyncBlock*
Caller allocated AsyncBlock.

Return value

Type: HRESULT HRESULT return code for this API operation.

Remarks

To get the result, call XblAchievementsGetAchievementResult inside the AsyncBlock callback or after the AsyncBlock is complete.

REST Call

V2 GET /users/xuid({xuid})/achievements/{scid}/{achievementId}

Requirements

Header: achievements_c.h Library: Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

See also

achievements_c
Last modified on October 29, 2026